Improper Input Validation

Affecting omero-web package, versions [,5.9.0)

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

omero-web is an OMERO.web

Affected versions of this package are vulnerable to Improper Input Validation. OMERO.web supports redirection to a given URL after performing login or switching the group context. These URLs are not validated, allowing redirection to untrusted sites.

Remediation

Upgrade omero-web to version 5.9.0 or higher.

References

CVSS Score

4.8
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    High
  • Privileges Required
    Low
  • User Interaction
    Required
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    None
  • Availability
    None
CVSS:3.1/AV:N/AC:H/PR:L/UI:R/S:U/C:H/I:N/A:N
Credit
Teng Zheng
CVE
CVE-2021-21377
CWE
CWE-601
Snyk ID
SNYK-PYTHON-OMEROWEB-1088353
Disclosed
23 Mar, 2021
Published
23 Mar, 2021